Bug 92080 - glibc-2.3.2-45 causes mozilla mail to lockup
Summary: glibc-2.3.2-45 causes mozilla mail to lockup
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-02 15:44 UTC by John Ellson
Modified: 2016-11-24 15:08 UTC (History)
2 users (show)

Fixed In Version: 2.3.2-49
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-17 18:10:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Ellson 2003-06-02 15:44:53 UTC
Description of problem:
mozilla mail locks up when clicking on first unread mail from imap server
with glibc-2.3.2-45, but OK with glibc-2.3.2-41.  Smells like a thread problem.
Mozilla application is completely stalled and unresponsive, but X11 and other
apps are still live.   Can't close mozilla, but can kill it from other window.

Version-Release number of selected component (if applicable):
glibc-2.3.2-45
mozilla-1.4b-1
rawhide-release-20030601-1

How reproducible:
100%.

Steps to Reproduce:
1.mozilla -mail
2.(new mail from imap server)
3.click on new mail item.
    
Actual results:
lockup

Expected results:
no lockup

Additional info:

Comment 1 Ulrich Drepper 2003-06-02 19:29:47 UTC
Which kernel version?

Comment 2 John Ellson 2003-06-03 19:24:58 UTC
kernel-2.4.20-20.1.2007.nptl.i686    and also with kernel-2.5.70-bk6

Comment 3 John Ellson 2003-06-06 18:57:58 UTC
also broken in glibc-2.3.2-48

Comment 4 Joe Orton 2003-06-11 09:22:15 UTC
Mozilla appears to be completely unusable to me after upgrading from glibc-2.3.2-27.9.i686.rpm to glibc-2.3.2-48.i686.rpm.  It locks up after a minute of web browsing or so, strace gives:
# strace -p 23630
futex(0x400cfb1c, FUTEX_WAIT, 182836, NULL <unfinished ...>


Comment 5 Joe Orton 2003-06-11 09:26:55 UTC
I'm using kernel 2.4.20-13.9smp


Note You need to log in before you can comment on or make changes to this bug.